Bug 39689 - Tomcat Server Side Includes (SSI) do not work with single quotes
Tomcat Server Side Includes (SSI) do not work with single quotes
Status: RESOLVED FIXED
Product: Tomcat 5
Classification: Unclassified
Component: Servlets:SSI
5.5.17
All All
: P2 minor (vote)
: ---
Assigned To: Tomcat Developers Mailing List
http://tomcat.apache.org/tomcat-5.5-d...
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2006-05-31 07:46 UTC by Jose Vano
Modified: 2006-07-22 14:47 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jose Vano 2006-05-31 07:46:22 UTC
In http://httpd.apache.org/docs/2.0/en/mod/mod_include.html (apache 2.0 SSI
documentation) you can read:

"The value [of an attribute value] will often be enclosed in double quotes, but
single quotes (') and backticks (`) are also possible."

Tomcat SSI support is suposed to implement the same SSI directives as Apache.
Unfortunately, it is not possible to enclose attribute values in single quotes.

Thank you very much for reading this bug report.
Comment 1 Yoav Shapira 2006-06-15 18:58:37 UTC
Please submit a test case that demonstrates this bug, so that we can investigate
the issue further.  Thank you.
Comment 2 Mark Thomas 2006-07-22 21:47:20 UTC
Fixed in SVN. Will be included in 5.5.18+